/* aclfs_common.ch 17/05/2004 10.13.36 */
ACLFS_STATIC int aclfs_open (const char *path, int mode, int perm);
ACLFS_STATIC int aclfs_chdir (const char *path);
ACLFS_STATIC DIR *aclfs_opendir (const char *path);
ACLFS_STATIC struct dirent *aclfs_readdir (DIR *dir);
ACLFS_STATIC int aclfs_closedir (DIR *dir);
ACLFS_STATIC void aclfs_rewinddir (DIR *dir);
ACLFS_STATIC void aclfs_seekdir (DIR *dir, off_t);
ACLFS_STATIC int aclfs_rename (const char *oldp, const char *newp);
ACLFS_STATIC int aclfs_unlink (const char *path);
ACLFS_STATIC int aclfs_rmdir (const char *path);
ACLFS_STATIC int aclfs_mkdir (const char *path, int mode);
ACLFS_STATIC int aclfs_stat (int ver,
	 const char *fname,
	 struct stat *buf);
ACLFS_STATIC int aclfs_lstat (int ver,
	 const char *fname,
	 struct stat *buf);
ACLFS_STATIC int aclfs_chmod (const char *fname, mode_t mode);
ACLFS_STATIC int aclfs_chown (const char *fname, uid_t uid, gid_t gid);
ACLFS_STATIC int aclfs_lchown (const char *fname, uid_t uid, gid_t gid);
ACLFS_STATIC int aclfs_readlink (const char *fname,
	 char *buf,
	 size_t size);
ACLFS_STATIC int aclfs_utime (const char *fname,
	 const struct utimbuf *tvp);
ACLFS_STATIC int aclfs_access (const char *fname, int type);
ACLFS_STATIC int aclfs_euidaccess (const char *fname, int type);
ACLFS_STATIC int aclfs_link (const char *oldp, const char *newp);
ACLFS_STATIC int aclfs_symlink (const char *oldp, const char *newp);
ACLFS_STATIC int aclfs_fchmod (int , mode_t);
ACLFS_STATIC int aclfs_fchown (int , uid_t, gid_t);
ACLFS_STATIC int aclfs_execve (const char *filename,
	 char *const [],
	 char *const []);
ACLFS_STATIC int aclfs_bind (int fd,
	 const struct sockaddr *addr,
	 socklen_t len);
/* libaclfs.cc 17/05/2004 10.14.32 */
ACLFS_EXTERN_C void aclfs_setmount (const char *dir, const char *volume);
ACLFS_EXTERN_C void aclfs_setsocket (const char *path);
ACLFS_EXTERN_C int aclfs_read (int fd, void *buf, int size);
ACLFS_EXTERN_C int aclfs_close (int fd);
ACLFS_EXTERN_C FILE *aclfs_fopen (const char *path, const char *opt);
ACLFS_EXTERN_C int aclfs_fclose (FILE *f);
ACLFS_EXTERN_C int aclfs_setcred (const char *user, const char *passwd);
